Mailinglist Archive: yast-commit (213 mails)

< Previous Next >
[yast-commit] Build failed in Hudson: webyast-service-head-i586 #865
See <http://yast.suse.de:3334/job/webyast-service-head-i586/865/changes>

Changes:

[Jiri Suchomel] - update rest service documentation
- 0.1.15

------------------------------------------
[...truncated 419 lines...]
*** WARNING: plugin NtpController does not work correctly.
Please Have a look to log/test.log for additional information
Checking plugin LogsController via HTTP GET requests...
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
*** WARNING: plugin LogsController does not work correctly.
Please Have a look to log/test.log for additional information
Checking plugin GraphsController via HTTP GET requests...
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
*** WARNING: plugin GraphsController does not work correctly.
Please Have a look to log/test.log for additional information
Checking plugin MetricsController via HTTP GET requests...
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
*** WARNING: plugin MetricsController does not work correctly.
Please Have a look to log/test.log for additional information
Checking plugin PluginsController via HTTP GET requests...
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
*** WARNING: plugin PluginsController does not work correctly.
Please Have a look to log/test.log for additional information

*******************************************************
Please, fix the above errors before running the service
*******************************************************
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ popd
/src/rest-service
+ rake check_syntax
(in /src/rest-service)
(in /src/rest-service/webservice)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/time)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/mail)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/roles)
* Starting syntax check...
* Done
test/unit/user_test.rb:55: warning: don't put space before argument parentheses
(in /src/rest-service/plugins/users)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/network)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/example_plugin)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/basesystem)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/system)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/administrator)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/registration)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/firewall)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/language)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/software)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/services)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/eulas)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/ntp)
* Starting syntax check...
* Done
(in /src/rest-service/plugins/status)
* Starting syntax check...
* Done
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ export GEM_PATH=/usr/local/lib/ruby/gems/1.8/gems
+ GEM_PATH=/usr/local/lib/ruby/gems/1.8/gems
+ export CI_REPORTS=results
+ CI_REPORTS=results
+ export RAILS_ENV=test
+ RAILS_ENV=test
+ pushd webservice
/src/rest-service/webservice /src/rest-service
+ RAILS_ENV=test
+ rake db:create db:migrate
db/test.sqlite3 already exists
*** WARNING:
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
(in /src/rest-service/webservice)
== Accounts: migrating =======================================================
-- create_table("accounts", {:force=>true})
-> 0.0055s
== Accounts: migrated (0.0058s) ==============================================

Loaded suite /usr/bin/rake
Started


Finished in 7.7e-05 seconds.

0 tests, 0 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0
notifications
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ popd
/src/rest-service
+ '[' -d coverage ']'
+ mkdir coverage
+ rake test
(in /src/rest-service)
*** WARNING:
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/unit/background_status_test.rb" "test/unit/permission_test.rb"
"test/unit/base_model_test.rb" "test/unit/yast_service_test.rb"
"test/unit/resource_test.rb" "test/unit/restdoc_test.rb"
"test/unit/account_test.rb" "test/unit/vendor_setting_test.rb"
"test/unit/yast/settings_model_test.rb" "test/unit/yast/config_file_test.rb"
"test/unit/yast_roles_test.rb" "test/unit/background_manager_test.rb"
"test/unit/brute_force_protection_test.rb"
(in /src/rest-service/webservice)
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***

*** registering plugins ***
./test/unit/yast/../../../config/environment.rb:131: warning: already
initialized constant USER_ROLES_CONFIG
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
..................../test/unit/brute_force_protection_test.rb:33: warning:
already initialized constant TIMEOUT_ON_FAIL
.../test/unit/brute_force_protection_test.rb:41: warning: already initialized
constant TIMEOUT_ON_FAIL
...............permission_check2: NoPermissionException
.permission_check2: NoPermissionException
..permission_check2: NoPermissionException
..permission_check2: NoPermissionException
..E

Finished in 1.017901 seconds.

1) Error:
test_report_actual_login(YastServiceTest):
NoMethodError: private method `gsub' called for nil:NilClass
activesupport (2.3.5) lib/active_support/whiny_nil.rb:52:in `method_missing'
/usr/lib/ruby/vendor_ruby/1.8/dbus/bus.rb:668:in `address_from_file'
/usr/lib/ruby/vendor_ruby/1.8/dbus/bus.rb:659:in `initialize'
/usr/lib/ruby/1.8/singleton.rb:94:in `new'
/usr/lib/ruby/1.8/singleton.rb:94:in `instance'
/test/unit/yast_service_test.rb:40:in `setup'
activesupport (2.3.5)
lib/active_support/testing/setup_and_teardown.rb:61:in `run'

44 tests, 152 assertions, 0 failures, 1 errors, 0 pendings, 0 omissions, 0
notifications
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/functional/vendor_settings_controller_test.rb"
"test/functional/resources_route_test.rb"
"test/functional/error_controller_test.rb"
"test/functional/resources_registration_test.rb"
"test/functional/resources_controller_test.rb"
"test/functional/sessions_controller_test.rb"
"test/functional/raising_controller_test.rb"
"test/functional/authenticated_system_test.rb"
"test/functional/lib_session_test.rb"
"test/functional/permissions_controller_test.rb"
"test/functional/restdoc_controller_test.rb"
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement

*** registering plugins ***
./test/functional/../../config/environment.rb:131: warning: already initialized
constant USER_ROLES_CONFIG
Session::VERSION <2.4.0>
Session.use_spawn <false>
Session.use_open3 <false>
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
......................does_not_exist failed to load: No such file or directory
- does_not_exist
...............................

Finished in 13.381172 seconds.

53 tests, 98 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0
notifications
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
Errors running test:units!
rake aborted!
Error on execute '/usr/bin/rake test' inside webservice/
/src/rest-service/Rakefile:41
(See full trace by running task with --trace)
++ error_exit 1
++ echo 'ERROR: detected exit code 1'
ERROR: detected exit code 1
++ footer_and_exit 1
++ '[' -z 1 ']'
++ MYEXIT=1
++ '[' 1 == 0 ']'
++ ascii_failed
++ cat

( )
( ) (
) _ )
( \_
_(_\ \)__
(____\___))

build failed

++ echo 'stopping dbus..'
stopping dbus..
++ /etc/init.d/dbus stop
/etc/rc.status: line 42: /dev/ttyS0: No such file or directory
Shutting down D-Bus daemon..done
++ exit 1
... unmounting sys
... unmounting proc
... unmounting pts
[locks-and-latches] Releasing all the locks
[locks-and-latches] All the locks released
Archiving artifacts
Build wasn't successful, skipping saikuro coverage report
Publishing rails stats report...
[workspace] $ rake --silent stats
Failed to send e-mail to Michal Zugec because no e-mail address is known, and
no default e-mail domain is configured
Failed to send e-mail to Jiri Suchomel because no e-mail address is known, and
no default e-mail domain is configured
Failed to send e-mail to Martin Vidner because no e-mail address is known, and
no default e-mail domain is configured

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >